import SkribblClient from "./SkribblClient.js";
import SkribblContainer from "./SkribblContainer.js";
import SkribblServer from "./SkribblServer.js";

document.addEventListener("DOMContentLoaded",async()=>{
	/** @type {SkribblClient} */
	let client;
	if (document.location.hash){
		document.body.innerHTML = "";
		const gameID = document.location.hash.substring(1);
		client = new SkribblClient(gameID);
	}else{
		/** @type {HTMLButtonElement} *///@ts-ignore
		const button = document.getElementById("button");
		await new Promise(resolve=>{button.addEventListener("click",async e=>{
			button.disabled = true;
			resolve();
		})});
		const server = new SkribblServer();
		await server.waitUntilReady();
		console.log(server.url);
		client = new SkribblClient(server.dataChannel);
	}
	const game = new SkribblContainer(client);
	document.body.innerHTML = "";
	document.body.appendChild(game);
});